Subject: [alpine-devel] [PATCH] testing/perl-dbd-sqlite: new aport

From: Jeff Bilyk <[email-masked]>
Date: Sun, 23 Jan 2011 05:15:01 +0000

new aport
---
 testing/perl-dbd-sqlite/APKBUILD |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)
 create mode 100644 testing/perl-dbd-sqlite/APKBUILD

diff --git a/testing/perl-dbd-sqlite/APKBUILD b/testing/perl-dbd-sqlite/APKBUILD
new file mode 100644
index 0000000..72f8ef4
--- /dev/null
+++ b/testing/perl-dbd-sqlite/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Jeff Bilyk <jbilyk at gmail> 
+# Maintainer: Natanael Copa <[email-masked]>
+pkgname=perl-dbd-sqlite
+_realpkgname=DBD-SQLite
+pkgver=0.31
+pkgrel=0
+pkgdesc="Perl CPAN DBD::SQLite module"
+url="http://search.cpan.org/dist/${_realpkgname}"
+arch="all"
+license="GPL PerlArtistic"
+depends="perl-dbi"
+makedepends="perl perl-dev"
+source="http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/${_realpkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/${_realpkgname}-$pkgver
+
+prepare() {
+	return 0
+}
+
+build() {
+	cd "$_builddir"
+	perl Makefile.PL INSTALLDIRS=vendor
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="4aa99c39104b7cd39129aec548e7d3e4  DBD-SQLite-0.31.tar.gz"
-- 
1.7.3.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Timo Teräs <[email-masked]>
Date: Mon, 24 Jan 2011 08:14:41 +0200

> new aport

Applied. Thanks.

---

---

From: Leonardo Arena <[email-masked]>
Date: Mon, 24 Jan 2011 08:35:15 +0100

> +++ b/testing/perl-dbd-sqlite/APKBUILD

It would be better to set variable PERL_MM_USE_DEFAULT to 1, so that
ExtUtils::MakeMaker should not ask any question. It would be better to
add a "|| return 1" at the end.

> +       make DESTDIR="$pkgdir" install

"Make" should have a "|| return 1".
After installing, you should search for perlocal.pod file and delete
it. It creates file collisions among perl packages.

# creates file collision among perl modules
find "$pkgdir" -name perllocal.pod -delete

> +md5sums="4aa99c39104b7cd39129aec548e7d3e4  DBD-SQLite-0.31.tar.gz"

I've applied those fixes, and took maintainership.

Thanks!

- leo

---